### Function

# Gdk intern_mime_type

since: 4.0

#### Declaration [src]

    const char*
    gdk_intern_mime_type (
      const char* string
    )

#### Description [src]

Canonicalizes the given mime type and interns the result.

If `string` is not a valid mime type, `NULL` is returned instead. See RFC 2048 for the syntax if mime types.

Available since: 4.0

#### Parameters

`string`

  Type: `const char*`

  String of a potential mime type.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `const char*`

An interned string for the canonicalized mime type or `NULL` if the string wasn’t a valid mime type.

The data is owned by the called function.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.